#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
#include <bits/stdc++.h>
using namespace std;


long long int Poredi(string X, string Y)
{
	string XY = X.append(Y);
	string YX = Y.append(X);
	return XY.compare(YX) > 0 ? 1: 0;
}
void Najveci(vector<string> v)
{
	sort(v.begin(), v.end(), Poredi);
	for (long long int i=0; i < v.size() ; i++ )
		cout << v[i];
}
int main()
{
	vector<string> v;
	long long int a,b,c;
    scanf("%lld", &a);
    scanf("%lld", &b);
    scanf("%lld", &c);

    char a1[50];
    sprintf(a1, "%lld", a);
    char b1[50];
    sprintf(b1, "%lld", b);
    char c1[50];
    sprintf(c1, "%lld", c);


	v.push_back(a1);
	v.push_back(b1);
	v.push_back(c1);

	Najveci(v);



return 0;
}